CentOS上搭建Bugzilla系统

Bugzilla作为最好的Bug管理系统之一,它是主要用Perl编写的开源软件,在很多公司或组织都在使用Bugzilla,如:RedHat、Linux kernel等。
我也在公司使用Bugzilla管理Bug,最近在对Bugzilla进行定制化,也写一下Bugzilla的安装过程吧。
本文记录的是在CentOS系统上使用Nginx做Web服务器安装Bugzilla的过程,另外,有些细节不写了,写一些主要的过程,后面的参考资料里面也有不错的文档。

1. 下载Bugzilla源代码,这个不多说了。

2. 安装一些必要的软件包:

3. 安装必要的perl模块并检查安装

当然,这其中还涉及到MySQL的用户名、密码之类的交互式输入配置。

4. 启动fastcgi wrapper程序,从这里(fastcgi-wrapper)下载,并运行即可。

5. 修改Nginx配置文件,使其可以正常处理perl CGI程序,我的一个修改如下:

6. 最后,改好bugzilla目录的权限,并重启nginx即可,如:

由于缺少一些软件包,在安装过程中可能出现的问题和解决方案如下:
1. [root@jay-centos html]# perl install-module.pl –all
Can’t locate CPAN.pm in @INC (@INC contains: /usr/local/nginx/html/lib/x86_64-linux-thread-multi /usr/local/nginx/html/lib /usr/local/nginx/html /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/local/nginx/html/Bugzilla/Install/CPAN.pm line 24.
BEGIN failed–compilation aborted at /usr/local/nginx/html/Bugzilla/Install/CPAN.pm line 24.
Compilation failed in require at install-module.pl line 21.
BEGIN failed–compilation aborted at install-module.pl line 21.
解决方案:yum install perl-CPAN

2. Can’t find mod_perl installed
The error was: Can’t locate mod_perl2.pm in @INC (@INC contains: /usr/local/nginx/html/lib/x86_64-linux-thread-multi /usr/local/nginx/html/lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at Makefile.PL line 149.
解决方案:yum install mod_perl

3. Can’t locate ModPerl/MM.pm in @INC (@INC contains: /usr/local/nginx/html/lib/x86_64-linux-thread-multi /usr/local/nginx/html/lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at Makefile.PL line 60.
解决方案:yum install mod_perl-devel

4. [root@jay-centos html]# ./fastcgi-wrapper
Can’t locate FCGI.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at ./fastcgi-wrapper line 3.
BEGIN failed–compilation aborted at ./fastcgi-wrapper line 3.
解决方案:yum install fcgi-perl

参考资料:
http://www.bugzilla.org/docs/4.4/en/html/installation.html

HOW-TO: Install the latest Bugzilla on CentOS


http://blog.codylab.com/install-bugzilla-centos-6-3-step-step/

master

Stay hungry, stay foolish.

One Comment

发表评论

电子邮件地址不会被公开。 必填项已用*标注